aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Raymond Augé (Jira) <j...@apache.org>
Subject [jira] [Resolved] (ARIES-1982) Aries CDI doesn't run on upcoming version of OSGi framework
Date Wed, 20 May 2020 17:05:00 GMT

     [ https://issues.apache.org/jira/browse/ARIES-1982?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Raymond Augé resolved ARIES-1982.
---------------------------------
    Resolution: Fixed

> Aries CDI doesn't run on upcoming version of OSGi framework
> -----------------------------------------------------------
>
>                 Key: ARIES-1982
>                 URL: https://issues.apache.org/jira/browse/ARIES-1982
>             Project: Aries
>          Issue Type: Improvement
>          Components: CDI
>            Reporter: Raymond Augé
>            Assignee: Raymond Augé
>            Priority: Major
>             Fix For: cdi-1.1.2
>
>
> org.apache.aries.cdi.spi has a class which implements {{org.osgi.framework.BundleReference}}
and so the import range is narrowed on package {{org.osgi.framework}} to {{'[1.9,1.10)'}}.
However, since this interface will likely never change we can manually widen the import range.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message